This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen

Bug 326

Summary: Expose tridiagonal eigensolver to end-users
Product: Eigen Reporter: Erlend Aune <erlend.aune.1983>
Component: EigenvaluesAssignee: Nobody <eigen.nobody>
Status: RESOLVED FIXED    
Severity: enhancement CC: desire.nuentsa_wakam, gael.guennebaud, jacob.benoit.1, jitseniesen
Priority: ---    
Version: 3.0   
Hardware: All   
OS: All   
Whiteboard:
Bug Depends on:    
Bug Blocks: 558    

Description Erlend Aune 2011-08-12 14:10:16 UTC
In the module SelfAdjointEigensolver, the method <<tridiagonal_qr_step>> together with some code in <<SelfAdjointEigenSolver<..>& SelfAdjointEigenSolver<MatrixType>::compute(..)>> computes the eigenvalues and, optionally, the eigenvectors of a tridiagonal symmetric matrix. This method should be exposed to end-users and provide and interface to self-adjoint tridiagonal matrices and two vectors containing the diagonal and off-diagonal elements respectively.
Comment 1 Gael Guennebaud 2013-05-16 10:57:49 UTC
This should be exposed via a computeFromTridiagonal method. This is quite easy, so let's have it for 3.2.
Comment 2 Gael Guennebaud 2013-07-15 21:13:44 UTC
too late for adding a new feature.
Comment 3 Desire NUENTSA 2013-07-16 15:51:15 UTC
I had a working changeset. Just forgot to push.
Comment 4 Gael Guennebaud 2013-07-18 11:17:10 UTC
https://bitbucket.org/eigen/eigen/commits/a495c25336f5/
Changeset:   a495c25336f5
User:        dnuentsa
Date:        2013-07-18 10:32:31
Summary:     Fix bug 326 : expose tridiagonal eigensolver to end-users through ComputeFromTridiagonal()
Comment 5 Nobody 2019-12-04 11:01:43 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/326.